<cfinclude template="template/header.cfm" />
<cfimport taglib="/CFUniform-Preso/cfMgmt/tags/forms/UniForm/" prefix="uform" />
<cfparam name="errors" default="#structNew()#" />

<div class="formContainer">
	
	<!--- build the form --->
	<uform:form action="doFormDump.cfm" 
				id="myForm" 
				submitValue="Log Exercise" 
				showCancel="false" 
				loadValidation="true"
				loadJQuery="true"
				config="#_assetConfig#">
		<uform:fieldset legend="Exercise Log">
			<uform:field type="custom" hint="Pick an activity">
				<cfoutput>
					<script type="text/javascript">
						$( function(){
							$("##EntryValue_container img").fadeTo(1, .3, function(){ $(this).css("visibility", "visible")});
							$("##EntryValue_container img").click( function(){
								$("##EntryValue").val( $(this).attr("ref") );			
								$("##EntryValue_container img").fadeTo(800, .3).removeClass("selected");
								$(this).fadeTo( 900, 1).addClass("selected", true);
								
								if($(this).attr('rel') == 'Weight' ){
									$("form##EntryForm fieldset div.Distance").not(".Weight").hide();
								} else {
									$("form##EntryForm fieldset div.ctrlHolder").show();
								}
							});		
							$("##EntryValue_container img:first").click();
						});
					</script>
					<div id="EntryValue_container" style="text-align:center">
						<img class="entryTypeImage" style="visibility:hidden" src="/CFUniform-Preso/preso-images/boxing.png" ref="boxing" rel="Time" />&nbsp;&nbsp;
						<img class="entryTypeImage" style="visibility:hidden" src="/CFUniform-Preso/preso-images/cycling.png" ref="cycling" rel="Distance" />&nbsp;&nbsp;
						<img class="entryTypeImage" style="visibility:hidden" src="/CFUniform-Preso/preso-images/golf.png" ref="golf" rel="Time" />&nbsp;&nbsp;
						<img class="entryTypeImage" style="visibility:hidden" src="/CFUniform-Preso/preso-images/running.png" ref="running" rel="Distance" />&nbsp;&nbsp; 
						<img class="entryTypeImage" style="visibility:hidden" src="/CFUniform-Preso/preso-images/surfing.png" ref="surfing" rel="Time" />&nbsp;&nbsp;
						<img class="entryTypeImage" style="visibility:hidden" src="/CFUniform-Preso/preso-images/walking.png" ref="walking" rel="Distance" />&nbsp;&nbsp;
						<br />Selected Activity: <input type="text" id="EntryValue" name="EntryValue">
					</div>
				</cfoutput>
			</uform:field>
			<uform:field label="Effort" name="effort" isRequired="true" type="select" hint="Strenous activity counts for more points...">
				<uform:option display="==== Select ====" value="" isSelected="true" />
				<uform:option display="Easy" value="Easy" />
				<uform:option display="Medium" value="Medium" />
				<uform:option display="Hard" value="Hard" />
				<uform:option display="Approaching Death" value="Approaching Death" />
			</uform:field>
			<uform:field label="Exercise Notes" name="exerciseNotes" type="textarea" hint="Keep notes about your training here"  />
		</uform:fieldset>
	</uform:form>
	
</div>


<cfinclude template="template/footer.cfm" />